<?xml version="1.0" encoding="utf-8"?>
<permissions>
    <privapp-permissions package="com.android.gallery3d">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_WALLPAPER_INTERNAL"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.SET_ANIMATION_SCALE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.huawei.projectmenu">
        <permission name="android.permission.ACCESS_CHECKIN_PROPERTIES"/>
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.camera">
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.CONFIG_BRIGHTNESS"/>
        <permission name="com.huawei.permission.HW_SERVICE_HOST"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN_PRIVILEGED"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.meetime">
        <permission name="android.permission.BIND_INCALL_SERVICE"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.aps.permission.UPDATE_APS_INFO"/>
        <permission name="com.huawei.permission.EXT_DISPLAY_UI_PERMISSION"/>
        <permission name="com.huawei.permission.HICAR_DISPLAY"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

</permissions>
